import { MutableRefObject } from 'react';
declare type FullscreenModule = {
    mainCarouselWrapperRef: MutableRefObject<HTMLDivElement | null>;
    handleResize?(): void;
    onFullScreenChange(isFullscreen: boolean): void;
};
export declare function useFullscreenModule({ mainCarouselWrapperRef, onFullScreenChange, handleResize, }: FullscreenModule): {
    enterFullscreen: (elementRef?: HTMLElement) => void;
    exitFullscreen: () => void;
    getIsFullscreen: () => boolean;
};
export {};
