/// <reference types="react" />
import { ItemWithThumb, PrepareThumbsData, SpringCarouselWithThumbs } from '../types';
declare type Props = {
    withThumbs?: boolean;
    thumbsSlideAxis: SpringCarouselWithThumbs['thumbsSlideAxis'];
    prepareThumbsData?: PrepareThumbsData;
    items: ItemWithThumb[];
};
export declare function useThumbsModule({ thumbsSlideAxis, withThumbs, prepareThumbsData, items, }: Props): {
    thumbsFragment: JSX.Element | null;
    handleScroll: (activeItem: number) => void;
};
export {};
